﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Tanguy.WinForm.Utilities.DelegatesHelpers
{
    class ToolStripStatusDelegates
    {
        public static void SetText(ToolStripStatusLabel statusLabel, string text)
        {
            MethodInvoker miSetText = delegate
            {
                statusLabel.Text = text;
            };

            if (statusLabel.Owner.InvokeRequired)
            {
                statusLabel.Owner.Invoke(miSetText);
            }
            else
            {
                miSetText();
            }
        }

        public static void SetText(ToolStripDropDownButton dropdownButton, string text)
        {
            MethodInvoker miSetText = delegate
            {
                dropdownButton.Text = text;
            };

            if (dropdownButton.Owner.InvokeRequired)
            {
                dropdownButton.Owner.Invoke(miSetText);
            }
            else
            {
                miSetText();
            }
        }
    }
}
